> ## Name

> cgGetNamedSamplerStateAssignment - get a sampler state assignment by name

> ## Synopsis

>     #include <Cg/cg.h>

>     CGstateassignment cgGetNamedSamplerStateAssignment( CGparameter param,
>                                                         const char * name );

> ## Parameters

> param
>   The sampler parameter from which to retrieve the sampler state assignment.
> name
>   The name of the state assignment to retrieve.

> ## Return Values

> Returns the named sampler state assignment.

> Returns NULL if the pass has no sampler state assignment corresponding to name.

> ## Description

> The sampler state assignments associated with a sampler parameter, as specified with a sampler_state block in an effect file, can be retrieved directly by name using cgGetNamedSamplerStateAssignment. The names of the sampler state assignments can be discovered by iterating through the sampler's state assignments (see cgGetFirstSamplerStateAssignment and cgGetNextStateAssignment), calling cgGetSamplerStateAssignmentState then cgGetStateName for each one in turn.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> ## History

> cgGetNamedSamplerStateAssignment was introduced in Cg 1.4.

> ## See Also

> cgIsStateAssignment, cgGetFirstSamplerStateAssignment, cgGetNextStateAssignment, cgGetStateName